# Uses of Enum
org.apache.sling.event.impl.jobs.InternalJobState

Packages that use InternalJobState
Package
Description
org.apache.sling.event.impl.jobs
org.apache.sling.event.impl.jobs.queues
org.apache.sling.event.impl.jobs.stats

## Uses of InternalJobState in org.apache.sling.event.impl.jobs

Methods in org.apache.sling.event.impl.jobs that return InternalJobState
Modifier and Type
Method
Description
`static InternalJobState`
InternalJobState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static InternalJobState[]`
InternalJobState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of InternalJobState in org.apache.sling.event.impl.jobs.queues

Methods in org.apache.sling.event.impl.jobs.queues that return InternalJobState
Modifier and Type
Method
Description
`InternalJobState`
JobExecutionResultImpl.`getState()`
Get the internal state
Constructors in org.apache.sling.event.impl.jobs.queues with parameters of type InternalJobState
Modifier
Constructor
Description
``
`JobExecutionResultImpl(InternalJobState state, String message, Long retryDelayInMs)`
Create a new result

## Uses of InternalJobState in org.apache.sling.event.impl.jobs.stats

Methods in org.apache.sling.event.impl.jobs.stats with parameters of type InternalJobState
Modifier and Type
Method
Description
`void`
StatisticsManager.`jobEnded(String queueName, String topic, InternalJobState state, long processingTime)`